<?php
/**
 * osCommerce Online Merchant
 *
 * @copyright (c) 2020 osCommerce; https://www.oscommerce.com
 * @license MIT; https://www.oscommerce.com/license/mit.txt
 *
 * @author Valeriy Rudenko <ruden@osclab.com>
 * @copyright (c) 2020 OSCLab: https://osclab.com
 */

  class hook_shop_rma_Recaptcha3 {
    public $param_action_value = 'process';
    public $form_name;

    public function __construct() {
      $this->form_name = basename(dirname(__FILE__));

      $this->listen_initReCaptcha();
    }

    public function listen_initReCaptcha() {
      global $language;

      if (defined('MODULE_BOXES_INSTALLED')) {
        $module_boxes_array = explode(';', MODULE_BOXES_INSTALLED);

        if (in_array('bm_recaptcha.php', $module_boxes_array)) {
          if (!class_exists('bm_recaptcha')) {
            if (file_exists(DIR_FS_CATALOG . 'includes/languages/' . $language . '/modules/boxes/bm_recaptcha.php')) {
              include(DIR_FS_CATALOG . 'includes/languages/' . $language . '/modules/boxes/bm_recaptcha.php');
            }

            if (file_exists(DIR_FS_CATALOG . 'includes/modules/boxes/bm_recaptcha.php')) {
              include(DIR_FS_CATALOG . 'includes/modules/boxes/bm_recaptcha.php');
            }
          }

          if (class_exists('bm_recaptcha')) {
            $bm_recaptcha = new bm_recaptcha();

            if ($bm_recaptcha->isEnabled()) {
              $bm_recaptcha->execute($this->form_name, $this->param_action_value);
            }
          }
        }
      }
    }
  }