<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2020 osCommerce

  Released under the GNU General Public License
  tested on Phoenix 1.0.5.0
  rma.php Version 1.0 by Pete S.
*/

  require('includes/application_top.php');

  if (!tep_session_is_registered('customer_id')) {
    $navigation->set_snapshot();
    tep_redirect(tep_href_link('login.php', '', 'SSL'));
  }

  require('includes/languages/' . $language . '/rma.php');

  $breadcrumb->add(NAVBAR_TITLE_1, tep_href_link('account.php', '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2, tep_href_link('account_history.php', '', 'SSL'));
  
  
  
   if (isset($_GET['action']) && ($_GET['action'] == 'send') && isset($_POST['formid']) && ($_POST['formid'] == $sessiontoken)) {
    $error = false;

    $name = tep_db_prepare_input($_POST['name']);
    $email_address = tep_db_prepare_input($_POST['email']);
    $enquiry = tep_db_prepare_input($_POST['enquiry']);
	$subject = tep_db_prepare_input($_POST['subject']); 
	$article = tep_db_prepare_input($_POST['article']);
	$ip = getenv('REMOTE_ADDR'). PHP_EOL;
	$datum = strftime('%d/%m/%y'). PHP_EOL;
	$klok = strftime ('%H:%M'). PHP_EOL;	
	
	  $email_text = '<html><body>';	  
	  $email_text.= "<br>";
      $email_text .= '<table style="width:100%">';
      $email_text .= "<tr><td><strong>" .EMAIL_SUBJECT." </strong></td></tr>";
	  $email_text .= "<br>";
	  $email_text .= "<tr><td>" .ENTRY_EMAIL_LINEA. "$subject</td></tr>";
	  $email_text .= "<br>";	  
	  $email_text .= "</table>";
      $email_text .= '<table rules="all" style="border-color: #666;" border="1" cellpadding="5" WIDTH="700">';
      $email_text .= "<tr style='background: #eee;'><td><strong>" .ENTRY_EMAIL_LINEC. " </td> </tr>";
      $email_text .= "<br>";
      $email_text .= "<tr><td>" .ENTRY_EMAIL_NAME.  "$name<br>"; 
	  $email_text .= ENTRY_EMAIL. "$email_address<br>";                  
      $email_text .= "</table>";
	  $email_text .= "<br>";
	  $email_text .= "<br>";		  

	  $email_text .= '<table rules="all" style="border-color: #666;" border="1" cellpadding="5" WIDTH="700">';
      $email_text .= "<tr style='background: #eee;'><td><strong>" .ENTRY_EMAIL_ARTICLE . " </td> </tr>";
      $email_text .= "<br>";
 	  $email_text .= "<tr><td>".$article."<br>";     
      $email_text .= "</table>"; 
	  $email_text .= "<br>";
	  $email_text .= "<br>"; 
	  $email_text .= '<table rules="all" style="border-color: #666;" border="1" cellpadding="5" WIDTH="700">';
      $email_text .= "<tr style='background: #eee;'><td><strong>" .ENTRY_EMAIL_REASON . " </td> </tr>";
      $email_text .= "<br>";
 	  $email_text .= "<tr><td>".$enquiry."<br>";                   
      $email_text .= "</table>";
	  $email_text .= "<br>";
	  $email_text .= "<br>";
	  $email_text .= '<table rules="all" style="border-color: #666;" border="1" cellpadding="5" WIDTH="700">';
	  $email_text .= "<tr style='background: #f5bfbf;'><td>For secure reasons, clients IP: $ip<br>  ";
	  $email_text .= "This mail was sent automatically by our webserver on $datum  at   $klok</td></tr>";
	  $email_text .='</table>';
	  $email_text .= "<br>";
	  $email_text .= "<tr><td>" .ENTRY_EMAIL_LINEB. "</td></tr>";
	  $email_text .= "<br>";
	  $email_text .= "<br>";
	  $email_text .= "<tr><td>" .ENTRY_EMAIL_FOOTER ."</td></tr>";
	  $email_text .= "</body></html>"; 
	  

    if (!tep_validate_email($email_address)) {
      $error = true;

      $messageStack->add('contact', ENTRY_EMAIL_ADDRESS_CHECK_ERROR);
    }
    
    $OSCOM_Hooks->call('siteWide', 'injectFormVerify');

    $actionRecorder = new actionRecorder('ar_contact_us', (tep_session_is_registered('customer_id') ? $customer_id : null), $name);
    if (!$actionRecorder->canPerform()) {
      $error = true;

      $actionRecorder->record(false);

      $messageStack->add('contact', sprintf(ERROR_ACTION_RECORDER, (defined('MODULE_ACTION_RECORDER_CONTACT_US_EMAIL_MINUTES') ? (int)MODULE_ACTION_RECORDER_CONTACT_US_EMAIL_MINUTES : 15)));
    }

    if ($error == false) {
	 
	 $headers = "From: " . $email_address . PHP_EOL;
     $headers .= "MIME-Version: 1.0" . PHP_EOL;
     $headers .= "Content-Type: text/html; charset=UTF-8" . PHP_EOL;
	 mail(STORE_OWNER_EMAIL_ADDRESS, EMAIL_SUBJECT, $email_text, $headers);
	 
	 $headers = "From: " . STORE_OWNER_EMAIL_ADDRESS . PHP_EOL;
     $headers .= "MIME-Version: 1.0" . PHP_EOL;
     $headers .= "Content-Type: text/html; charset=UTF-8" . PHP_EOL;
	 mail($email_address, EMAIL_SUBJECT, $email_text, $headers);	
 

      $actionRecorder->record();

      tep_redirect(tep_href_link('rma.php', 'action=success'));
    }
  }




  require('includes/template_top.php');
?>







<h1 class="display-4"><?php echo HEADING_TITLE; ?></h1>

<?php
  if ($messageStack->size('contact') > 0) {
    echo $messageStack->output('contact');
  }

  if (isset($_GET['action']) && ($_GET['action'] == 'success')) {
?>

<div class="contentContainer">
  <div class="alert alert-info" role="alert"><?php echo TEXT_SUCCESS; ?></div>

  <div class="buttonSet">
    <div class="text-right"><?php echo tep_draw_button(IMAGE_BUTTON_CONTINUE, 'fas fa-angle-right', tep_href_link('index.php'), null, null, 'btn-light btn-block btn-lg'); ?></div>
  </div>
</div>

<?php
  } else {
?>


<?php echo tep_draw_form('rma', tep_href_link('rma.php', 'action=send', $request_type), 'post', '', true); ?>


<div class="contentContainer">
<?php  echo '<br/>'; 
$today = date("d-m-Y");
?>
<div class="form-group row"><?php echo "<strong>&nbsp; &nbsp; " .HEADING_TEXT."</strong>"; ?></div>
<?php  echo '<br/>'; ?>

<?php
  $orders_total = tep_count_customer_orders();
  
  if ($orders_total > 0) {
    $history_query_raw = "select o.*, ot.text as order_total, s.orders_status_name from orders o, orders_total ot, orders_status s where o.customers_id = '" . (int)$customer_id . "' and o.orders_id = ot.orders_id and ot.class = 'ot_total' and o.orders_status = s.orders_status_id and s.language_id = '" . (int)$languages_id . "' and s.public_flag = '1' order by orders_id DESC";
    $history_split = new splitPageResults($history_query_raw, 5);
    // $history_query = tep_db_query($history_split->sql_query);
	$history_query = tep_db_query($history_query_raw);	
    ?>
    <div class="table-responsive">
      <table class="table table-hover table-striped">
        <caption class="sr-only"><?php echo $history_split->display_count(TEXT_DISPLAY_NUMBER_OF_ORDERS); ?></caption>
        <thead class="thead-dark">
          <tr>
            <th scope="col"><?php echo TEXT_ORDER_NUMBER; ?></th>
            <th scope="col"><?php echo TEXT_ORDER_DATE; ?></th>
			<th scope="col"><?php echo TEXT_RETOUR_DATE; ?></th>            
            </tr>
        </thead>
        <tbody>          
        <?php
		
		$today = date("d-m-Y");		
	// orders van de laatste 30 dagen opsommen
        while ($history = tep_db_fetch_array($history_query)) {
		  $order_stat = $history['orders_status_name'];
		  $order_stat_cor = substr($order_stat,1,9);
		  $order_stat_ctrl = "Cancelled" ;
		  $date = tep_date_short($history['date_purchased']);
		  $next_due_date = strtotime ( '15 day' , strtotime ( $date ) ) ;
		  $next_due_date = date ( 'j-m-Y' , $next_due_date );
          $products_query = tep_db_query("select sum(products_quantity) as count from orders_products where orders_id = '" . (int)$history['orders_id'] . "'");
          $products = tep_db_fetch_array($products_query);
		  
      // orders waarbij de RMA datum vandaag is    
		  if ($order_stat_cor <> $order_stat_ctrl && strtotime($today) == strtotime($next_due_date)) {
		  $ordercontrol = "1";
		  ?>		  
          <tr>
            <th scope="row"><?php echo "<font color='red'>" . $history['orders_id'] . "-" . tep_date_short($history['date_purchased']); ?></th>
            <td><?php echo "<font color='red'>" . $date ; ?></td>			
			<td><?php echo "<font color='red'>" . $next_due_date; ?></td> 
	     <?php
		          }
	  // orders waarbij de RMA datum nog geldig is		  
		 else if ($order_stat_cor <> $order_stat_ctrl && strtotime($today) < strtotime($next_due_date)) {		 
		 $ordercontrol = "1";
		  ?>		 
          <tr>
            <th scope="row"><?php echo "<font color='green'>" . $history['orders_id'] . "-" . tep_date_short($history['date_purchased']); ?></th>
            <td><?php echo  "<font color='green'>" .$date ; ?></td>			
			<td><?php echo  "<font color='green'>" .$next_due_date; ?></td> 			
          <?php
         }
	  // orders die gecanceld zijn
		 if ($order_stat_cor == $order_stat_ctrl && $ordercontrol ="1") {
		?>
          <tr>
            <th scope="row"><?php echo "<font color='black'>" . $history['orders_id'] . "-" . tep_date_short($history['date_purchased']); ?></th>
            <td><?php echo  "<font color='black'>" .$date ; ?></td>			
			<td><?php echo  "<font color='black'>" . CANCELED_ORDER_TEXT; ?></td>			
          <?php
         }
      // geen recente orders		 
        }
		if ($order_stat_cor <> $order_stat_ctrl && $ordercontrol <> "1") {
		?>
          <tr>
            <th scope="row"><?php echo NO_ORDER_TEXT ; ?></th>
            <td><?php echo "-" ; ?></td>			
			<td><?php echo "-" ; ?></td> 			
          <?php
         }		
		?>
		
        </tbody>
      </table>
    </div>

    <div class="row align-items-center">
      <div class="col-sm-6 d-none d-sm-block">
        
      </div>
      <div class="col-sm-6">
	  <?php
	   //  naar volgende pagina
       // echo $history_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y')));  
	   ?>
      </div>
    </div>

<?php
  } else {
?>

  <div class="alert alert-info" role="alert">
    <p><?php echo TEXT_NO_PURCHASES; ?></p>
  </div>

<?php
  }

echo '<br/>';
echo '<br/>';
?>

<div class="form-group row">
  <?php echo "<strong>&nbsp; &nbsp;" . STARTRMA_TEXT ."</strong>"; ?>
</div>



  <div class="row">
    <?php echo $oscTemplate->getContent('rma'); ?>
  </div>
  
  
  <p class="text-danger text-right"><?php echo FORM_REQUIRED_INFORMATION; ?></p>
  
  <div class="form-group row">  
  <label for="inputFromName" class="col-sm-3 col-form-label text-right"><?php echo ENTRY_NAME; ?></label>
  <div class="col-sm-9">
  <?php
      echo tep_draw_input_field('name', NULL, 'required aria-required="true" id="inputFromName" placeholder="' . ENTRY_NAME_TEXTS . '"');
      echo FORM_REQUIRED_INPUT;
      ?>
  </div>
  </div>
  
  
  <div class="form-group row">
    <label for="inputFromEmail" class="col-sm-3 col-form-label text-right"><?php echo ENTRY_EMAIL; ?></label>
    <div class="col-sm-9">
      <?php
      echo tep_draw_input_field('email', NULL, 'required aria-required="true" id="inputFromEmail" placeholder="' . ENTRY_EMAIL_TEXT . '"', 'email');
      echo FORM_REQUIRED_INPUT;
      ?>
    </div>
  </div>
  
  <div class="form-group row">
    <label for="inputEnquiry" class="col-sm-3 col-form-label text-right"><?php echo ENTRY_EMAIL_ORDERNUMBER; ?></label>
	<div class="col-sm-9">
      <?php
      echo tep_draw_textarea_field('subject', 'soft', 50, 1, NULL, 'required aria-required="true" id="inputEnquiry" placeholder="' . $radiobutton . '"');
      echo FORM_REQUIRED_INPUT;
      ?>
    </div>
  </div>
  
  <div class="form-group row">
    <label for="inputEnquiry" class="col-sm-3 col-form-label text-right"><?php echo ENTRY_EMAIL_ARTICLE; ?></label>
	<div class="col-sm-9">
      <?php
      echo tep_draw_textarea_field('article', 'soft', 50, 1, NULL, 'required aria-required="true" id="inputEnquiry" placeholder="' . ENTRY_EMAIL_ARTICLE_TEXT . '"');
      echo FORM_REQUIRED_INPUT;
      ?>
    </div>
  </div>
  
  <div class="form-group row">
    <label for="inputEnquiry" class="col-sm-3 col-form-label text-right"><?php echo ENTRY_ENQUIRY; ?></label>
    <div class="col-sm-9">
      <?php
      echo tep_draw_textarea_field('enquiry', 'soft', 50, 3, NULL, 'required aria-required="true" id="inputEnquiry" placeholder="' . ENTRY_ENQUIRY_TEXT . '"');
      echo FORM_REQUIRED_INPUT;
      ?>
    </div>
  </div>        
  
	  
 <div class="form-group row"><?php echo "&nbsp; &nbsp;". RMA_CONDITIONS_TEXT; 
 echo '<br/>'; 
 ?></div>

  <div class="buttonSet">
    <div class="text-right"><?php echo tep_draw_button(IMAGE_BUTTON_CONTINUE, 'fas fa-paper-plane', null, 'primary', null, 'btn-success btn-block btn-lg'); ?></div>
  </div>
</div>

<?php
  }
  require('includes/template_bottom.php');
  require('includes/application_bottom.php');
?>
